document.addEventListener('DOMContentLoaded', () => {
  // Mobile Menu Toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu?.addEventListener('click', () => {
    navLinks?.classList.toggle('active');
  });

  // Smooth Scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });

  // Live Rewards Ticker
  const tickerContent = document.querySelector('.ticker-content');
  const rewards = [
    { player: 'Lucky777', amount: '+$1,200' },
    { player: 'VegasKing', amount: '+$800' },
    { player: 'AceHigh', amount: '+$650' },
    { player: 'RoyalFlush', amount: '+$2,400' }
  ];

  let currentIndex = 0;

  function updateTicker() {
    if (tickerContent) {
      const reward = rewards[currentIndex];
      const tickerItem = document.createElement('div');
      tickerItem.className = 'ticker-item';
      tickerItem.innerHTML = `
        <span class="player">${reward.player}</span>
        <span class="amount">${reward.amount}</span>
      `;

      tickerContent.innerHTML = '';
      tickerContent.appendChild(tickerItem);
      
      currentIndex = (currentIndex + 1) % rewards.length;
    }
  }

  setInterval(updateTicker, 3000);
});
